Subject: Re: linux-next: build failure after merge of the tty tree

From: Jiri Slaby <[email-masked]>
Date: Wed, 20 Mar 2013 09:17:03 +0100

Hi,

On 03/20/2013 04:12 AM, Stephen Rothwell wrote:
> drivers/net/caif/caif_serial.c: In function 'update_tty_status': 
> drivers/net/caif/caif_serial.c:94:11: error: 'struct tty_struct'
> has no member named 'warned'
> 
> Caused by commit 6865ff222cca ("TTY: do not warn about setting
> speed via SPD_*").

I wonder why this didn't trigger locally. I have to check if I have
debugfs enabled. In any way, I will send a patch to fix this later today.

> drivers/usb/serial/quatech2.c: In function 'qt2_process_read_urb': 
> drivers/usb/serial/quatech2.c:661:18: error: 'struct
> qt2_port_private' has no member named 'is_open' 
> drivers/usb/serial/quatech2.c:705:15: error: 'struct
> qt2_port_private' has no member named 'is_open'
> 
> Caused by commit e4408ce3c23f ("TTY: quatech2, remove unneeded 
> is_open").  grep is your friend (or searching while editting the
> file).

I think this is caused by another commit. Bill added a check for
is_open meanwhile I removed that member completely. Bill, could you
fix that up, please?

thanks,
-- 
js
suse labs